Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members

# Service_Type_Repository.h File Reference

`#include "Trader.h"`
`#include "ace/Hash_Map_Manager.h"`
`#include "ace/Null_Mutex.h"`

Include dependency graph for Service_Type_Repository.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | TAO_Service_Type_Repository
| This class implements CosTradingRepos::ServiceTypeRepository IDL interface. More...
class | Type_Info
| Storage structure for information pertinent to the type. More...

## Detailed Description

Id:
  Service_Type_Repository.h,v 1.38 2003/08/18 06:42:15 ossama Exp

Author:
  Marina Spivak <marina@cs.wustl.edu> , Seth Widoff <sbw1@cs.wustl.edu>